Skip to main content
GET
/
admins
/
proposals
cURL
curl --request GET \
  --url https://api.onchainden.com/api/v1/admins/proposals \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "id": "prop_admin_update_123",
    "resourceType": "admins",
    "action": "update",
    "signatureStatus": "approvalReady",
    "executionStatus": "completed",
    "threshold": 3,
    "approvals": [],
    "rejections": [],
    "createdAt": "2026-01-18T00:00:00.000Z",
    "expiresAt": "2026-01-25T00:00:00.000Z",
    "data": {
      "members": [
        {
          "id": "mem_4",
          "name": "Admin Dana",
          "type": "user",
          "walletAddress": "0xdef..."
        }
      ],
      "threshold": 3
    },
    "result": {
      "resolution": "approved",
      "resources": [
        {
          "type": "admin",
          "id": "adm_123",
          "uri": "/api/v1/admins/adm_123"
        }
      ]
    }
  }
}

Authorizations

Authorization
string
header
required

API key authentication. Include your API key in the Authorization header.

Response

Admin proposal details

data
object
required
Example:
{
  "id": "prop_admin_update_123",
  "resourceType": "admins",
  "action": "update",
  "signatureStatus": "approvalReady",
  "executionStatus": "completed",
  "threshold": 3,
  "approvals": [],
  "rejections": [],
  "createdAt": "2026-01-18T00:00:00.000Z",
  "expiresAt": "2026-01-25T00:00:00.000Z",
  "data": {
    "members": [
      {
        "id": "mem_4",
        "name": "Admin Dana",
        "type": "user",
        "walletAddress": "0xdef..."
      }
    ],
    "threshold": 3
  },
  "result": {
    "resolution": "approved",
    "resources": [
      {
        "type": "admin",
        "id": "adm_123",
        "uri": "/api/v1/admins/adm_123"
      }
    ]
  }
}